API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Get audio file info for a call GETGet call detail with transcript, classification, and summary GETGet upload job status GETList calls with pagination and optional date filter GETSearch calls by keyword GETManually set or clear a call's category PATCHUpload audio for transcription POST
ReferenceCalls

Get call detail with transcript, classification, and summary

GET/v1/projects/{projectId}/calls/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid
id*string
Formatuuid

Response Body

*/*

*/*

curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/calls/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "filename": "string",  "language": "string",  "sizeBytes": 0,  "durationS": 0.1,  "sentimentLevel": "string",  "primaryCategory": "string",  "actionItemsCount": 0,  "title": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "fullText": "string",  "speakers": [    {      "speakerId": "string",      "name": "string",      "talkRatio": 0.1,      "turnCount": 0,      "wordCount": 0,      "totalDurationS": 0.1    }  ],  "turns": [    {      "speakerId": "string",      "text": "string",      "startMs": 0,      "endMs": 0    }  ],  "storagePath": "string",  "piiStatistics": {    "totalDetected": 0,    "types": {      "property1": 0,      "property2": 0    }  },  "classification": {    "primary": {      "categoryId": "string",      "categoryPath": [        "string"      ],      "categoryNames": [        "string"      ],      "confidence": 0.1,      "evidence": "string",      "depth": 0    },    "secondary": [      {        "categoryId": "string",        "categoryPath": [          "string"        ],        "categoryNames": [          "string"        ],        "confidence": 0.1,        "evidence": "string",        "depth": 0      }    ],    "overallConfidence": 0.1,    "reasoning": "string",    "modelUsed": "string"  },  "summary": {    "summary": {      "executiveSummary": "string",      "keyDiscussionPoints": [        "string"      ],      "resolutionProvided": "string",      "followUpRequired": true,      "nextSteps": [        "string"      ]    },    "sentiment": {      "overallSentiment": "very_negative",      "sentimentProgression": "string",      "confidence": 0.1,      "evidence": "string"    },    "sentimentLevel": "string",    "actionItems": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",        "transcriptId": "8d42585a-2e55-4415-90e7-5325c62875f6",        "transcriptIndex": 0,        "callDate": "2019-08-24T14:15:22Z",        "callFilename": "string",        "description": "string",        "responsibleParty": "string",        "deadlineMentioned": "string",        "evidence": "string",        "status": "PENDING",        "priority": "LOW",        "notes": "string",        "completedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "isOverdue": true      }    ],    "modelUsed": "string"  },  "templateAnalysis": {    "templateName": "string",    "results": [      {        "label": "string",        "value": null,        "answerType": "string",        "confidence": "string",        "evidence": [          "string"        ],        "answered": true      }    ],    "modelUsed": "string",    "analyzedAt": "2019-08-24T14:15:22Z"  }}

Get audio file info for a call GET

Previous Page

Get upload job status GET

Returns the current status of an upload job. When status is COMPLETED, transcriptId will be set.